
QGIS Application - Bug report #20834

Project -> Properties crashes with LANG != C

2018-12-18 09:52 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.2 Regression?: No

Operating System: linux debian buster Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28653

Description

Click Project then Properties.

On a Debian Linux system with a French locale, it crashes with:

Fatal: ASSERT failure in QgsProjectProperties::checkPageWidgetNameMap(): "QgisApp::projectPropertiesPagesMap() is

outdated, please update. Missing Général", file ../src/app/qgsprojectproperties.cpp, line 2324

QGIS died on signal -1

Restarting with LANG=C fixes the problem.

Compilation problem ?

Associated revisions

Revision 2df15a67 - 2019-01-04 07:55 AM - Mathieu Pellerin - nIRV

Fix assert crash for non-English UI locale (fixes #20834)

Revision 899dcbff - 2019-01-04 07:56 AM - Mathieu Pellerin - nIRV

Fix assert crash for non-English UI locale (fixes #20834)

History

#1 - 2019-01-04 07:55 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|899dcbfff32a053650eecdc57b3a549ce9217410.

#2 - 2019-01-04 08:23 AM - Hugo Mercier

Merci Mathieu !

#3 - 2019-01-04 11:13 AM - Giovanni Manghi
- Resolution set to fixed/implemented
